SMBSTATUS(1)

NAME
smbstatus - report on current Samba connections

SYNOPSIS

smbstatus [-P] [-b] [-d <debug level>] [-v] [-L] [-B] [-p] [-S] [-N] [-f] [-s <configuration file>] [-u <username>]

DESCRIPTION

This tool is part of the samba(7) suite.

smbstatus is a very simple program to list the current Samba connections.

OPTIONS

-P|--profile
    If samba has been compiled with the profiling option, print only the contents of the profiling shared memory area.

-b|--brief
    gives brief output.

-v|--verbose
    gives verbose output.

-L|--locks
    causes smbstatus to only list locks.

-B|--byterange
    causes smbstatus to include byte range locks.

-p|--processes
    print a list of smbd(8) processes and exit. Useful for scripting.

-S|--shares
    causes smbstatus to only list shares.

-N|--notify
    causes smbstatus to display registered file notifications

-f|--fast
    causes smbstatus to not check if the status data is valid by checking if the processes that the status data refer to all still exist. This speeds up execution on busy systems and clusters but might display stale data of processes that died without cleaning up properly.

-u|--user=<username>
    selects information relevant to username only.

VERSION

This man page is correct for version 3 of the Samba suite.

SEE ALSO

smbd(8) and smb.conf(5).

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The original Samba man pages were written by Karl Auer. The man page sources were converted to YODL format (another excellent piece of Open Source software, available at ftp://ftp.icce.rug.nl/pub/unix/) and updated for the Samba 2.0 release by Jeremy Allison. The conversion to DocBook for Samba 2.2 was done by Gerald Carter. The conversion to DocBook XML 4.2 for Samba 3.0 was done by Alexander Bokovoy.